=== src/Ma2Asm/FromC/Makefile ===
GPLC   = gplc
CC     = gcc
CFLAGS = -g -Wall

# other local variables

INCL=-I../../EnginePl
#CFLAGS    = -O3
#CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer
CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer -fno-defer-pop

#CFLAGS= /Ox /Oy

opt: 
	 $(GPLC) -c -C '$(CFLAGS) $(INCL) -S' -o asm_inst.s asm_inst.c


no:
	 $(GPLC) -c -C '-S $(INCL)' -o asm_inst.s asm_inst.c

clean:
	-rm *.s
